Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6902 - GUI install will try to create ilegal partitions on mylex raid
Summary: GUI install will try to create ilegal partitions on mylex raid
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-11 00:59 UTC by jlewis
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-22 16:22:27 UTC


Attachments (Terms of Use)

Description jlewis 1999-11-11 00:59:15 UTC
I just tried my first install on a box with a Mylex
Acceleraid 200 controller.  The Mylex docs say the driver
supports partitions p1 - p7, i.e. /dev/rd/c0d0p1 through
/dev/rd/c0d0p7.  I tried to install with:
256mb	/
256mb	swap
256mb	/tmp
2000mb	/usr
<remainder>	/var

This is only 5 partitions, yet disk druid created them as
/dev/rd/c0d0p1
/dev/rd/c0d0p5
/dev/rd/c0d0p6
/dev/rd/c0d0p7
/dev/rd/c0d0p8

I don't know why disk druid likes to create just 1 primary
and everything else in an extended partition starting at
partition 5, but it breaks the mylex raid driver.  This
resulted in my /var partition not existing.

I was able to get around this by switching to virtual
console 2, running fdisk by hand, then rebooting and letting
the GUI disk druid use the existing partitions.

Comment 1 Jay Turner 1999-11-29 20:41:59 UTC
This issue has been assigned to a developer for further action.

Comment 2 Michael Fulbright 2000-02-22 16:22:59 UTC
The fdisk will be available via the GUI in future release to handle this problem
more cleanly.


Note You need to log in before you can comment on or make changes to this bug.